You are not logged in.

#51 2014-08-04 16:42:15

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Derson5 wrote:

I found the problem. I uninstall lxpolkit, and everything is fine now.

Oh, I see. You were using the lxde polkit package, and it was interfering with lxqt-policykit.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#52 2014-08-06 15:08:33

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Hi!
Can anyone tell me how to have thumbnail support in pcmanfm-qt? I followed wiki page and created the entry in /usr/share/thumbnailers/ with imagemagic, but it seems not to work. (Open Doc and video/image works very well as described in the wiki).
And, should I have tumbler installed?
Thanks!

Offline

#53 2014-08-06 15:19:38

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Once more...i'll answer myself: tumbler is not needed, and all i needed was ghostscript package. Now it works fine wink

Offline

#54 2014-08-08 10:59:33

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Is there any plan to switch to libfm-qt5 instead of libfm (that depends on gtk2) ?

Offline

#55 2014-08-09 07:24:33

cgx
Member
Registered: 2014-08-09
Posts: 3

Re: lxqt-git repository

Getting error downloading file:
error: failed retrieving file 'libqxt-0.6.2-3-x86_64.pkg.tar.xz' from repo.stobbstechnical.com : Maximum file size exceeded

Offline

#56 2014-08-12 04:51:33

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

cgx wrote:

Getting error downloading file:
error: failed retrieving file 'libqxt-0.6.2-3-x86_64.pkg.tar.xz' from repo.stobbstechnical.com : Maximum file size exceeded

I have no idea what is happening in this case. I will try removing it and re-adding it.

As far as libfm-qt5, I'm following the upstream PKGBUILD in the AUR. Until it switchs, the repo won't switch.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#57 2014-08-12 08:15:20

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

stobbsm wrote:

As far as libfm-qt5, I'm following the upstream PKGBUILD in the AUR. Until it switchs, the repo won't switch.

Ok! Thanks for the clarification.

Offline

#58 2014-08-12 15:04:41

cgx
Member
Registered: 2014-08-09
Posts: 3

Re: lxqt-git repository

stobbsm wrote:
cgx wrote:

Getting error downloading file:
error: failed retrieving file 'libqxt-0.6.2-3-x86_64.pkg.tar.xz' from repo.stobbstechnical.com : Maximum file size exceeded

I have no idea what is happening in this case. I will try removing it and re-adding it.

It works now, thanks!

Offline

#59 2014-08-14 10:20:53

renegat
Member
From: Europe
Registered: 2012-12-28
Posts: 73

Re: lxqt-git repository

I'am not able to update, always getting this

signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid

error message.

Already tried to reimport the key, locally signed it again, deleted /etc/pacman.d/gnupg/, recreated the hole keyring, imported and locally signed the key again, removed every package from cache - nothing works. Time is set correctly.

# pacman-key --refresh-key
gpg: key 26EBCC57: "Matthew Stobbs <matthew@stobbstechnical.com>" not changed

pacman -Syyu:

:: Proceed with installation? [Y/n] 
:: Retrieving packages ...
 libqtxdg-qt5-git-0.5.3.30.gf0c73ca-2-x86_64         
 liblxqt-git-0.7.0.35.gceb8657-3-x86_64              
 liblxqt-mount-git-0.7.0.11.gae22e05-5-x86_64   
 libsysstat-qt5-git-0.1.0.4.g151ef16-4-x86_64      
 lximage-qt-git-0.2.0.2.g5e95cfd-5-x86_64          
 lxqt-about-git-0.7.0.5.g28f9c07-5-x86_64          
 lxqt-config-git-0.7.0.16.gac8b1b4-3-x86_64       
 lxqt-config-randr-git-0.7.0.4.g8467ef1-5-x86_64
 lxqt-session-git-0.7.0.12.g0425919-2-x86_64     
 lxqt-runner-git-0.7.0.5.g581b924-5-x86_64       
 lxqt-qtplugin-git-0.7.0.17.gad8c650-2-x86_64   
 lxqt-policykit-git-0.7.0.5.g081a7ff-5-x86_64      
 lxqt-openssh-askpass-git-0.7.0.3.g23c5181-5-x86_64
 lxqt-powermanagement-git-0.7.0.13.g29b815f-5-x...
 lxqt-desktop-git-0.7.0.5.g2699d0f-5-x86_64         
 qtermwidget-git-0.4.0.37.gebf7d6c-3-x86_64      
 qterminal-git-145.fff3774-3-x86_64                 
(140/140) checking keys in keyring                                            
(140/140) checking package integrity                                          
error: libqtxdg-qt5-git: signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid
:: File /var/cache/pacman/pkg/libqtxdg-qt5-git-0.5.3.30.gf0c73ca-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
.
.
.
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

This error continues for every given package above.
Any idea how to get my lxqt updated?

Last edited by renegat (2014-08-14 10:30:07)


When faced to untenable alternatives you should consider your imperative. [Adm. Helena Caine, BSG62 'Pegasus']

Offline

#60 2014-08-14 15:52:31

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Seems my build scripts are still having issues. I will resign and re-upload the packages again.

Learning curve FTW! I will edit this post once the work is done.

EDIT: Updated and signature is working now.

I had my scripts over-writing packages that didn't need to be over written, which screwed up the signatures. Everything is fixed in the script now, and it will only copy new or updated packages.

Hopefully this is the last time we have these issues.

Last edited by stobbsm (2014-08-14 16:25:56)


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#61 2014-08-15 10:33:46

renegat
Member
From: Europe
Registered: 2012-12-28
Posts: 73

Re: lxqt-git repository

Issue solved, update success.
Thank you.


When faced to untenable alternatives you should consider your imperative. [Adm. Helena Caine, BSG62 'Pegasus']

Offline

#62 2014-08-19 21:50:13

jweng8
Member
Registered: 2014-08-19
Posts: 2

Re: lxqt-git repository

I'm trying to install lxqt, but I keep getting the following error.

error: liblxqt-git: signature from "Matthew Stobbs <mathew@stobbstechnical>" is invalid 
File /var/cache/pacman/pkg/liblxqt-git-0.7.0.35.gce8657-3-i686.pkg.tar.xz is corrupted (invalied or corrupted (PGP Signature)).

Offline

#63 2014-08-19 21:58:59

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

jweng8 wrote:

I'm trying to install lxqt, but I keep getting the following error.

error: liblxqt-git: signature from "Matthew Stobbs <mathew@stobbstechnical>" is invalid 
File /var/cache/pacman/pkg/liblxqt-git-0.7.0.35.gce8657-3-i686.pkg.tar.xz is corrupted (invalied or corrupted (PGP Signature)).

I can't test i686 on my machine. Installing to virtual machine now to see if it's a cache problem or not. I'll get back to you in a few.

EDIT: Fixed. I think it was a leftover from before fixing my scripts.

Last edited by stobbsm (2014-08-19 22:15:53)


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#64 2014-08-19 22:22:15

jweng8
Member
Registered: 2014-08-19
Posts: 2

Re: lxqt-git repository

stobbsm wrote:
jweng8 wrote:

I'm trying to install lxqt, but I keep getting the following error.

error: liblxqt-git: signature from "Matthew Stobbs <mathew@stobbstechnical>" is invalid 
File /var/cache/pacman/pkg/liblxqt-git-0.7.0.35.gce8657-3-i686.pkg.tar.xz is corrupted (invalied or corrupted (PGP Signature)).

I can't test i686 on my machine. Installing to virtual machine now to see if it's a cache problem or not. I'll get back to you in a few.

EDIT: Fixed. I think it was a leftover from before fixing my scripts.

Thanks man. Arch has a amazing community

Last edited by jweng8 (2014-08-20 14:07:11)

Offline

#65 2014-08-28 11:00:58

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

About libfm gtk2 dep: you can add libfm-git from aur https://aur.archlinux.org/packages/libfm-git/ ) to your repo, it only needs libexif to be added as runtime dep (otherwise it won't start); it will work fine and we'll drop our last dep on gtk2.

EDIT: can anybody suggest me a good archiver qt5 app? (if it exists...i cannot find that).

Last edited by nierro (2014-08-28 11:02:20)

Offline

#66 2014-08-28 14:14:53

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

nierro wrote:

About libfm gtk2 dep: you can add libfm-git from aur https://aur.archlinux.org/packages/libfm-git/ ) to your repo, it only needs libexif to be added as runtime dep (otherwise it won't start); it will work fine and we'll drop our last dep on gtk2.

EDIT: can anybody suggest me a good archiver qt5 app? (if it exists...i cannot find that).

I'll keep that in mind next time I update my build system. Have a lot to do over the next few days, so I may not get to it for a little while.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#67 2014-08-28 14:22:53

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Thank you very much for your efforts!

EDIT: for those of you wishing to replace qt4 juffed, here comes mdiedit, a qt5 fast, lightweight and simple text editor written in qt5: https://aur.archlinux.org/packages/mdiedit-git/ .

Last edited by nierro (2014-08-28 16:54:14)

Offline

#68 2014-08-30 16:02:34

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Just tried changing libfm for libfm-git, but libfm-git is broken and still requires gtk. Going to keep using regular libfm until upstream solves it's problems with this.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#69 2014-08-30 16:04:24

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Weird, i could compile it without any issue, 2 days ago. What problem do you get? (and pcmanfm-qt is working fine with it, without gtk2 installed)

EDIT: still no problem (on my second laptop) : libfm-git 1.2.2.1.4.g3e39d17-1.

Last edited by nierro (2014-08-30 16:09:27)

Offline

#70 2014-08-30 16:22:26

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Won't build without gtk2 installed. Don't have time to troubleshoot it. If the package still requires gtk2 to be built, I'm going to continue to use the known stable version.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#71 2014-08-30 17:52:32

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 809

Re: lxqt-git repository

Thank you wink I'll try and come back here if i find a solution (ps: btw it would only be a makedep, not runtime; so it would suit our needs anyway).
Thank you again!

EDIT: you were right, sorry. It needs gtk2 as build dep, but as I said, it is not a runtime dep.

Last edited by nierro (2014-08-31 10:56:03)

Offline

#72 2014-09-21 10:04:53

matersci
Member
From: Hellas
Registered: 2006-01-19
Posts: 157

Re: lxqt-git repository

Hello.

Since yesterdays update lxqt won't start, complaining about missing libQt5xdg.so.0
Seems that last update of libqtxdg-qt5-git provides  libQt5xdg.so.1

Offline

#73 2014-09-21 18:24:53

emrod
Member
Registered: 2014-09-21
Posts: 1

Re: lxqt-git repository

matersci wrote:

Hello.

Since yesterdays update lxqt won't start, complaining about missing libQt5xdg.so.0
Seems that last update of libqtxdg-qt5-git provides  libQt5xdg.so.1

Try it downgrade lxqt-session-git from aur.

Offline

#74 2014-09-21 18:35:00

matersci
Member
From: Hellas
Registered: 2006-01-19
Posts: 157

Re: lxqt-git repository

yes, a rebuild of  lxqt-session-git fixed the problem

Offline

#75 2014-09-22 08:12:41

figue
Member
Registered: 2007-12-16
Posts: 42

Re: lxqt-git repository

Thanks @matersci, It solves the problem indeed.

Last edited by figue (2014-09-22 08:13:04)

Offline

Board footer

Powered by FluxBB